%global __requires_exclude pear\\(PEAR/PackageFileManager.php\\)
%define upstream_name DB_Sqlite_Tools
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.7
Release:     	%mkrel 10
Summary:    	DB_Sqlite_Tools is an object oriented interface to effectively manage and backup Sqlite databases
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/DB_Sqlite_Tools-%{version}.tgz
URL: 		http://pear.php.net/package/DB_Sqlite_Tools
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
DB_Sqlite_Tools is an object oriented interface to effectively manage and
backup
Sqlite databases.It extends the existing functionality by providing a
comprehensive solution for database backup, live replication, export in XML
format, performance optmization and other functionalities like the
insertion and
retrieval of encrypted data from an Sqlite database without any external
extension

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/DB_Sqlite_Tools.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/DB_Sqlite_Tools.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/DB_Sqlite_Tools
fi

%files
%{peardir}/*
%{xmldir}/DB_Sqlite_Tools.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.7-10.mga8
+ Revision: 1498821
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.7-9.mga7
+ Revision: 1273184
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.1.7-8.mga6
+ Revision: 942935
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.7-7.mga5
+ Revision: 744713
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.1.7-6.mga5
+ Revision: 734042
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.7-5.mga5
+ Revision: 687213
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.1.7-4.mga4
+ Revision: 516702
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.7-3.mga3
+ Revision: 375976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 08 2012 spuhler <spuhler> 0.1.7-2.mga2
+ Revision: 221397
- added _requires_exceptions pear(PEAR/PackageFileManager.php)

* Mon Mar 05 2012 spuhler <spuhler> 0.1.7-1.mga2
+ Revision: 218408
- upgrade to 0.1.7

* Sat Feb 05 2011 spuhler <spuhler> 0.1.6-6.mga1
+ Revision: 47341
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-DB_Sqlite_Tools


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-6mdv2011.0
+ Revision: 613629
- the mass rebuild of 2010.1 packages

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.6-5mdv2010.1
+ Revision: 479296
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.1.6-4mdv2010.0
+ Revision: 441013
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-3mdv2009.1
+ Revision: 321957
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-2mdv2009.0
+ Revision: 236825
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1.6-1mdv2008.1
+ Revision: 136404
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-1mdv2008.0
+ Revision: 15899
- fix build
- fix build
- 0.1.6


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-7mdv2007.0
+ Revision: 81506
- Import php-pear-DB_Sqlite_Tools

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-1mdk
- initial Mandriva package (PLD import)

